Create WhatsApp Action
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"is_active": true,
"action_timing": "<string>",
"phone_number": "<string>",
"webhook": {
"to": "<string>",
"from": "<string>",
"template_name": "<string>",
"body_params": [
"<string>"
],
"header_params": [
"<string>"
],
"button_params": [
"<string>"
],
"language_code": "<string>",
"mandatory": true
}
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions"
payload = {
"name": "<string>",
"description": "<string>",
"type": "<string>",
"is_active": True,
"action_timing": "<string>",
"phone_number": "<string>",
"webhook": {
"to": "<string>",
"from": "<string>",
"template_name": "<string>",
"body_params": ["<string>"],
"header_params": ["<string>"],
"button_params": ["<string>"],
"language_code": "<string>",
"mandatory": True
}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
type: '<string>',
is_active: true,
action_timing: '<string>',
phone_number: '<string>',
webhook: {
to: '<string>',
from: '<string>',
template_name: '<string>',
body_params: ['<string>'],
header_params: ['<string>'],
button_params: ['<string>'],
language_code: '<string>',
mandatory: true
}
})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"action_id": "<string>",
"name": "<string>",
"type": "<string>"
}
}Create-Action
Create WhatsApp Action
Create WhatsApp messaging actions with template support and dynamic parameters.
POST
/
v2
/
_actions
Create WhatsApp Action
Authorizations
Enter your ContactSwing JWT Bearer token.
Request Body
Action display name. Example:
My Whatsapp ActionAction purpose. Example:
Send WhatsApp when user requests messagingAction type:
"SEND_WHATSAPP"Enable/disable action
When to trigger:
"during"Override phone number (optional)
WhatsApp webhook configuration
Recipient WhatsApp number. Example:
"12817126508"Sender WhatsApp ID. Example:
"650175178190170"WhatsApp template name. Example:
"call_permession_request"Template body parameters
[]Template header parameters
[]Template button parameters
[]Template language. Example:
"en"Require WhatsApp response before proceeding
Response
201 Created - WhatsApp action created successfullyRequest context ID
⌘I

